curl --request GET \
--url https://api.example.com/api/v1/users/{user_id}/summaries/data \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/users/{user_id}/summaries/data"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/users/{user_id}/summaries/data', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"user_id": "<string>",
"total_data_points": 123,
"total_workouts": 123,
"total_sleep_events": 123,
"series_type_counts": {},
"workout_type_counts": {},
"by_provider": [
{
"provider": "<string>",
"data_points": 123,
"series_counts": {},
"workout_count": 123,
"sleep_count": 123
}
],
"has_womens_health_data": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Get Data Summary
Returns per-user data counts grouped by series type, event type, and provider.
Optionally scope the counts to a date window via start_date / end_date (data points are
filtered by recorded_at, events by their start time). Omitting both returns all-time counts.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
- Token URL
- /api/v1/auth/login
Headers
Path Parameters
Query Parameters
ISO 8601 datetime (e.g. 2023-11-07T05:31:56Z) or Unix timestamp in seconds. Date-only strings (e.g. 2023-11-07) are also accepted and normalized to midnight UTC.
"2023-11-07T05:31:56Z"
ISO 8601 datetime (e.g. 2023-11-07T05:31:56Z) or Unix timestamp in seconds. Date-only strings (e.g. 2023-11-07) are also accepted and normalized to midnight UTC.
"2023-11-07T05:31:56Z"
Response
Successful Response
Per-user data summary with counts by type and provider.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes

